<?php

IF (!$account['ID']){
  
  ERROR('Такого пользователя не существует', 'session');
  REDIRECT('/modules/?path=communities');

}

/*
-----------
Приглашения
-----------
*/

IF (GET('get') == 'inv' && $account['ID'] == $user['ID']){
  
  REQUIRE (ROOT.'/modules/communities/plugins/user_inv.php');
  
}

/*
------------------
Создать сообщество
------------------
*/

IF (GET('get') == 'add' && $account['ID'] == $user['ID']){
  
  REQUIRE (ROOT.'/modules/communities/plugins/add.php');
  
}

/*
----------------
Список сообществ
----------------
*/
  
//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Сообщества')." ".$account['LOGIN']."";
ECHO "</div>";

IF ($account['ID'] == $user['ID']){

  ECHO "<div class='tmenu_body'>";
  ECHO "<a href='/modules/?path=communities&section=users&id=".$account['ID']."' class='tmenu-50 tmenu-50-o'>".LG('Все')."</a>";
  ECHO "<a href='/modules/?path=communities&section=users&id=".$account['ID']."&get=inv' class='tmenu-50'>".LG('Приглашения')."</a>";
  ECHO "</div>";
  
}

IF ($account['ID'] == $user['ID']){
  
  ECHO "<div class='list'>";
  ECHO "<a href='/modules/?path=communities&section=users&id=".$account['ID']."&get=add' class='btn'>".ICONS('pencil', 15, 'fa-fw')."".LG('Создать сообщество')."</a>";
  ECHO "</div>";
  
}

$column = DB::GET_COLUMN("SELECT COUNT(*) FROM `COMMUNITIES_PAR` WHERE `USER_ID` = '".$account['ID']."' AND `ACT` = '1'");
$spage = SPAGE($column, $page_settings);
$page = PAGE($spage);
$limit = $page_settings * $page - $page_settings;

IF ($column == 0){ 
  
  HTML::EMPTY();
  
}ELSE{
  
  ECHO "<div class='list-body'>"; 
  
}

$data = DB::GET_STRING_ALL("SELECT * FROM `COMMUNITIES_PAR` WHERE `USER_ID` = '".$account['ID']."' AND `ACT` = '1' ORDER BY `ID` DESC LIMIT ".$limit.", ".$page_settings."");
WHILE ($comm = $data->FETCH())
{
  
  $list = DB::GET_STRING("SELECT * FROM `COMMUNITIES` WHERE `ID` = '".$comm['COMMUNITY_ID']."' LIMIT 1");
  
  REQUIRE (ROOT.'/modules/communities/plugins/communities_list.php');

}

IF ($column > 0){
  
  ECHO "</div>";
  
}

IF ($spage > 1){ ECHO STR_PAGE('/modules/?path=communities&section=users&id='.$account['ID'].'&', $spage, $page); }

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=communities'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Ко всем сообществам')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Сообщества')." ".$account['LOGIN']."";
ECHO "</div>";
  
?>